Subject: Re: [PATCH v5 3/7] tcp: harmonize tcp_vx_rcv header length assumptions

From: William Allen Simpson <[email-masked]>
Date: Mon, 15 Feb 2010 07:59:55 -0500

Andi Kleen wrote:
> On Mon, Feb 15, 2010 at 07:28:44AM -0500, William Allen Simpson wrote:
>> Harmonize tcp_v4_rcv() and tcp_v6_rcv() -- better document tcp doff
>> and header length assumptions, and carefully compare implementations.
> 
> I didn't fully understand that new comment:
> 
> /* nf_reset(skb); in ip6_input.c ip6_input_finish() */
> 
That's part of the harmonization.  IPv4 has a nf_reset() in this code
position.  I asked on the list where IPv6 did the same thing, so that
the difference could be documented.  The information was provided by
Patrick McHardy.  If someday somebody actually finishes merging the
two functions, that's the only actual difference.

> Overall you can add a 
> 
> Reviewed-by: Andi Kleen <[email-masked]>
> 
Thanks, hopefully as applied.